curl --request GET \
--url https://api.smartsend.io/v2/teams/{teamUuid}/printers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartsend.io/v2/teams/{teamUuid}/printers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartsend.io/v2/teams/{teamUuid}/printers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "88888888-8888-4888-8888-888888888888",
"name": "Packing station",
"state": "online",
"formats": [
"pdf"
],
"paper_sizes": [
{
"name": "A4",
"width": {
"value": 210,
"unit": "mm"
},
"height": {
"value": 297,
"unit": "mm"
}
},
{
"name": "A3",
"width": {
"value": 297,
"unit": "mm"
},
"height": {
"value": 420,
"unit": "mm"
}
}
]
},
{
"uuid": "88888888-8888-4888-8888-888888888889",
"name": "Label printer",
"state": "offline",
"formats": [
"pdf",
"zpl"
],
"paper_sizes": [
{
"name": "4 x 6 in",
"width": {
"value": 101.6,
"unit": "mm"
},
"height": {
"value": 152.4,
"unit": "mm"
}
}
]
}
]
}List team printers
Return all configured team printers with current display names, availability and directly supported formats. This small configuration collection is not paginated. Team settings determine default printer selection for each file format and page layout. paper_sizes lists the sizes advertised by the driver, or is null when unknown; it does not confirm paper loaded in trays.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Preferred language(s) for translatable content using BCP 47 language tags. Supports quality values (q-factors) for priority ordering. The API negotiates the best available language based on this header, the team's configured language, and available translations. If omitted, the team's default language is used.
"da-DK, da;q=0.9, en;q=0.8"
Optional client-supplied request identifier. When provided and matching the validation pattern, the value is echoed back in the Request-ID response header. Otherwise the server generates one. Use this to correlate requests between client and server when reporting issues.
1 - 64^[A-Za-z0-9._-]{1,64}$Path Parameters
Team uuid. All resources are scoped to this team.
Response
Configured printers.
All configured printers in this team. This small configuration collection is returned without pagination.
Show child attributes
Show child attributes
Was this page helpful?